#include "usart.h"
#include <string.h>
#include <avr/io.h>
#include <util/delay.h>

int main() 
{
    char buffer[100];
    char c;
    USART_init();
    USART_interrupt_init();

    strcpy(buffer, "Hello! Press s to start measuring your pulse./");
    USART_putstring(buffer); //send init message to app

    c = USART_Receive();
    if (c != 's') {
        strcpy(buffer, "Error: Wrong message received. Need reset./");
        USART_putstring(buffer); //send init message to app
        return 0;
    }

    //---Start measure pulse---//
    //NOT IMPLEMENTED YET//
    _delay_ms(5000);
    strcpy(buffer, "Your pulse is: 12.8 bpm./");
    USART_putstring(buffer); //send init message to app     
    //---End measure pulse---//


    _delay_ms(2000);
    strcpy(buffer, "Press reset to measure again./");
    USART_putstring(buffer);
    return 0;
}